<?php

function __($text) {
	switch ($text) {
		case 'install_write_error':
			return 'Error : Write permission not enabled<br /><br />The software requires permissions to write files on your server';
		case 'install_create_admin':
			return 'Installation : Create your Admin Login Credentials';
		case 'install_email_label':
			return 'Email';
		case 'install_new_password_label':
			return 'New Password';
		case 'install_confirm_password_label':
			return 'Confirm New Password';
		case 'install_proceed_button':
			return 'Proceed';
		case 'install_doesnt_match_error':
			return 'Password does not match.<br />';
		case 'install_only_spaces_error':
			return 'Password cannot be only spaces. <br />';
		case 'install_start_end_spaces_error':
			return 'Password cannot start and/or end with white space.<br />';
		case 'install_permissions_error':
			return 'Error occured. Check permissions on the server.';
		case 'install_proper_email_error':
			return 'Not a proper email address.';
		case 'install_saved':
			return 'Saved.';
		case 'change_background_image_tooltip':
			return 'Click to change background image';		
		case 'click_tooltip':
			return 'Click to edit';
		case 'click_change_visibility_tooltip':
			return 'Click to change visibility';
		case 'click_change_icon':
			return 'Click to change the icon';
		case 'click_change_product_image':
			return 'Click to change the product image';
		case 'click_change_prize_image':
			return 'Click to change the prize image';
		case 'click_change_signature_image':
			return 'Click to change the user picture';
		case 'click_change_background_color':
			return 'Click to change background color';
		case 'error_box':
			return 'Error occured. Try again';
		case 'success_box':
			return 'Changes saved';
		case 'upload_lightbox_button':
			return 'Upload Background Image';
		case 'upload_lightbox_close_return_button':
			return 'Close & Return';
		case 'upload_lightbox_size_error':
			return 'Error : Maximum size of image can be 500 KB';
		case 'upload_lightbox_format_error':
			return 'Error : Only JPEG & PNG allowed';
		case 'upload_lightbox_background_button':
			return 'Change Background Image';
		case 'upload_lightbox_background_usage':
			return 'Choose a LOW SIZE & HIGH RESOLUTION image above 1600 px * 900 px. <br />A low resolution image will be stretched and it will not look nice.';
		case 'upload_lightbox_logo_button':
			return 'Change Logo';
		case 'upload_lightbox_logo_usage':
			return 'For best results select an image of width 260 px in width.';
		case 'upload_lightbox_icon_button':
			return 'Change Icon';
		case 'upload_lightbox_icon_usage':
			return 'For best results select an image with a maximum width of 50 px.';			
		case 'upload_lightbox_image_button':
			return 'Change Image';
		case 'menu_home':
			return 'Home';
		case 'menu_product':
			return 'The Product';
		case 'menu_sales':
			return 'Funnel';
		case 'menu_prizes':
			return 'Prizes';
		case 'menu_faq':
			return 'FAQ';
		case 'menu_terms':
			return 'Terms';
		case 'menu_promo':
			return 'Promo Tools';			
		case 'menu_signature':
			return 'Signature';
		case 'menu_footer':
			return 'Footer';
		case 'menu_get_link':
			return 'Get your link';
		case 'home_change_website_logo_tooltip':
			return 'Click to change website logo';			
		case 'seo_page_title':
			return 'Page Title';
		case 'seo_page_title_hint':
			return 'Ex: This is my JV page | Site Name';
		case 'seo_page_description':
			return 'Meta Description';
		case 'seo_page_description_hint':
			return 'Page description (156 chars max.)';
		case 'affiliate_link':
			return 'Affiliate link (URL)';
		case 'affiliate_link_hint':
			return 'Ex: ';
		case 'affiliate_link_button':
			return 'Get Your Affiliate Link';
		case 'promo_tools_button':
			return 'Swipes and Promo Tools';
		case 'enable_page_label':
			return 'Enable this page';	
		case 'enable_section_label':
			return 'Enable this section';			
		case 'product_image':
			return 'Product Image';
		case 'banners':
			return 'Banners';
		case 'banners_use':
			return 'You may upload the banners on your server and use them with your affiliate link.';
		case 'banner_120_60':
			return 'Banner 120x60';
		case 'banner_120_600':
			return 'Banner 120x600';
		case 'banner_160_600':
			return 'Banner 160x600';			
		case 'banner_125_125':
			return 'Banner 125x125';
		case 'banner_336_280':
			return 'Banner 336x280';
		case 'banner_300_250':
			return 'Banner 300x250';
		case 'banner_250_250':
			return 'Banner 250x250';
		case 'banner_468_60':
			return 'Banner 468x60';
		case 'banner_650_90':
			return 'Banner 650x90';


		case 'save_changes_button':
			return 'SAVE CHANGES';			

		case 'credentials_error':
			return 'Error : Invalid Credentials';
		case 'login_email_label':
			return 'Email';
		case 'login_password_label':
			return 'Password';
		case 'login_button':
			return 'Login';			
		case 'login_forgot_label':
			return 'Forgot your Password?';
		case 'forgot_email_sent':
			return 'An email with your credentials have been sent to the admin address.';
		case 'forgot_email_subject':
			return 'Credentials Recovery';
		case 'forgot_email_intro':
			return 'This are the admin credentials: ';
		case 'forgot_email_address':
			return 'Your Email';
		case 'forgot_email_pass':
			return 'Your Password';
		case 'contact_send_msg_error':
			return 'Error';
		case 'contact_send_msg_success':
			return 'Success : Message Sent';		
		case 'send_msg_send_mail_error':
			return 'Error : Failed to send email';		
		case 'custom_html_placeholder':
			return 'ENTER YOUR CUSTOM HTML CODE';
		case 'custom_head_placeholder':	
			return 'Enter your CUSTOM HTML code to be added before the </head> tag';
		case 'custom_footer_placeholder':	
			return 'Enter your CUSTOM HTML code to be added before the </body> tag';

		/**************************/
		/*    config file text    */
		/**************************/
		case 'product_launch_heading':
			return 'Product Name Here Launches On';
		case 'product_launch_sub_heading':
			return 'Add this to your calendar now. This will convert with high EPCs and double digit conversions!';
		case 'product_launch_calendar_month':
			return 'June';
		case 'product_launch_date_range':
			return 'June 3 - 7';
		case 'product_launch_hour_1':
			return '9:00 AM';
		case 'product_launch_hour_2':
			return 'EST';
		case 'subscribe_heading':
			return 'Become a JV Partner';
		case 'subscribe_sub_heading':
			return 'Join Our JV Notification List To Be Eligible For JV Prizes And Contest';
		case 'product_description':
			return 'What Is Product Name Here?';
		case 'sales_heading':
			return 'The Sales Funnel';
		case 'commissions_heading_1':
			return 'Product Name';
		case 'commissions_heading_2':
			return 'Here';
		case 'commissions_title_0':
			return 'FRONTEND';
		case 'commissions_title_1':
			return 'UPSELL 1';
		case 'commissions_title_2':
			return 'UPSELL 2';
		case 'commissions_title_3':
			return 'UPSELL 3';
		case 'commissions_title_4':
			return 'DOWNSELL 1';
		case 'commissions_title_5':
			return 'DOWNSELL 2';
		case 'commissions_title_6':
			return 'DOWNSELL 3';
		case 'commissions_sub_text':
			return '50% Commission';
		case 'prizes_heading':
			return 'Over $7,000 JV Prizes';
		case 'prizes_leaderboard_heading':
			return 'TOP LEADERBOARD CONTEST';
		case 'prizes_leaderboard_0_prize_1':
			return '1st place:';
		case 'prizes_leaderboard_0_prize_2':
			return '$2,500';
		case 'prizes_leaderboard_0_prize_3':
			return '(min. 150 sales)';
		case 'prizes_leaderboard_1_prize_1':
			return '2nd place:';
		case 'prizes_leaderboard_1_prize_2':
			return '$1,500';
		case 'prizes_leaderboard_1_prize_3':
			return '(min. 100 sales)';
		case 'prizes_leaderboard_2_prize_1':
			return '3rd place:';
		case 'prizes_leaderboard_2_prize_2':
			return '$1,000';
		case 'prizes_leaderboard_3_prize_1':
			return '4th place:';
		case 'prizes_leaderboard_3_prize_2':
			return '$250';
		case 'prizes_leaderboard_4_prize_1':
			return '5-10th place:';
		case 'prizes_leaderboard_4_prize_2':
			return '$100';
		case 'faq_heading':
			return 'Frequently Asked Questions';
		case 'terms_heading':
			return 'Affiliate Terms And Conditions';
		case 'terms_content_1':
			return 'Please read the terms carefully. You agree that you are NOT allowed to do any of the following if approved for our affiliate program.';
		case 'terms_content_2':
			return '1. You are NOT permitted to conduct e-mail promotions in a 3rd party system; all e-mail contacts MUST be your OWN opt in e-mail list. You cannot buy solo ads, use safe lists, use spam or any misleading marketing tactics.';
		case 'terms_content_3':
			return '2. You CANNOT run "negative" Pay-Per-Click or iframe domain campaigns such as "Product name / author name scam" or any other method to attract controversial click through rates that an ordinary person would deem to portray a negative view of the product. This creates a very bad image for our company and the individuals featured in the products.';
		case 'terms_content_4':
			return '3. You cannot earn commission on your own purchase(s). Any self-purchases will result in commission(s) nullified and held back.';
		case 'terms_content_5':
			return '4. You can team up with up to two (2) other Partners for this promotion during the launch week when the contest is active. You must inform us in writing at least three (3) days in advance before the launch.';						
		case 'terms_content_6':
			return 'Anyone found using misleading claims, inaccurate information or false testimonials (or anything that does not comply with FTC guidelines) will have their affiliate account revoked immediately, and all commissions will be forfeited without recourse.';
		case 'signature_name':
			return 'Name Here';
		case 'footer_copyright':
			return 'Copyright 2016 - All Rights Reserved';
		case 'email_swipes_heading_1':
			return 'Email Swipes';
		case 'email_swipes_heading_2':
			return 'Below you can find the email messages you can use with your promotions.';
		case 'email_swipes_heading_3':
			return 'Schedule Your Mailing For Maximum Results';			

		case 'mailing_plan_0_heading_1':
			return 'PRE LAUNCH DAY';
		case 'mailing_plan_0_heading_2':
			return '(One day before the launch)';
		case 'mailing_plan_0_description':
			return 'Warm up your lists. You may first send traffic to your bonus page.';
		case 'mailing_plan_0_tab_1_title':
			return 'Day 1 - Hard Sell';
		case 'mailing_plan_0_tab_2_title':
			return ' Day 1 - Bonus Angle';

		case 'mailing_plan_1_heading_1':
			return 'LAUNCH DAY';
		case 'mailing_plan_1_heading_2':
			return '(Send after 9AM EST)';
		case 'mailing_plan_1_description_1':
			return 'Send your message after 9 AM EST.';
		case 'mailing_plan_1_description_2':
			return 'You may also send the message after 5 PM EST as a reminder to the subscribers that have not opened your message.';
		case 'mailing_plan_1_tab_1_title':
			return 'Day 2 - Hard Sell';

		case 'mailing_plan_1_tab_2_title':
			return ' Day 2 - Bonus Angle';

		case 'mailing_plan_2_heading_1':
			return 'MID LAUNCH';
		case 'mailing_plan_2_heading_2':
			return '(Send it in the middle of the launch between 9 to 11 AM EST)';
		case 'mailing_plan_2_description_1':
			return 'Be sure to follow up in the middle of the launch around 11 AM EST.';
		case 'mailing_plan_2_description_2':
			return 'You may resend the message with a different headline to the subscribers that did not open your email.';			
		case 'mailing_plan_2_tab_1_title':
			return 'Day 3 - Hard Sell';
		case 'mailing_plan_2_tab_2_title':
			return ' Day 3 - Bonus Angle';

		case 'mailing_plan_3_heading_1':
			return 'LAST CALL';
		case 'mailing_plan_3_heading_2':
			return '(Send on the last day of the launch at 9 AM EST)';
		case 'mailing_plan_3_description_1':
			return 'Send your message at 9 AM EST with a reminder that\'s the last day of the offer.';
		case 'mailing_plan_3_description_2':
			return 'You may follow up few hours before the end of the launches a final reminder.';			
		case 'mailing_plan_3_tab_1_title':
			return 'Day 4 - Hard Sell';
		case 'mailing_plan_3_tab_2_title':
			return ' Day 4 - Bonus Angle';


		case 'bonus_page_heading':
			return 'Bonus Page';
		case 'bonus_page_content':
			return 'Click on the button below to preview and/or download the bonus page you can use with your promotion. Remember to change the AFFILIATE LINK with your affiliate link.';			
		case 'bonus_preview_button':
			return 'Preview';
		case 'bonus_download_button':
			return 'Download';
		case 'bonus_preview_link':
			return 'Preview link';
		case 'bonus_download_link':
			return 'Download link';
			
		/* end of config file text */


	 	default:
	 		return 'XXXXX';
	 } 
}

function _slug_replace(&$item, $key)
{
	if ($item == '_Header_')
		$item = 'Header44';

	if ($item == '_subheader_')
		$item = 'subheader';


}

function array_slug_replace($a)
{
	array_walk_recursive($a, '_slug_replace');
	return $a;
}
