<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php"><?php echo __('menu_home'); ?></a>
			<a href="product.php" class="app-navigation-button-active"><?php echo __('menu_product'); ?></a>
			<a href="sales.php"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php"><?php echo __('menu_signature'); ?></a>			
			<a href="tools.php"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  
	<div class="clsWrapper">

		<div id="product-section" class="clsBg1" style="background-image: url('../images/background/<?php echo $settings['product']['background-image'];?>')" data-image="<?php echo $settings['product']['background-image'];?>">
			<div class="clsPadding_lg">
				<div class="container">
					<div class="row">
						<div id="home-change-background" class="clsSp_txt_wh_center config-button home-background-image with-tooltip" title="<?php echo __('change_background_image_tooltip'); ?>" data-background-image="<?php echo $settings['home']['background-image']; ?>"><i class="fa fa-picture-o"></i></div>
						<div class="col-md-12">
							<div class="clsProImg"><img src="../images/misc/<?php echo $settings['product']['product-image']; ?>" class="img-responsive center-block with-tooltip" title="<?php echo __('click_change_product_image'); ?>" data-image="<?php echo $settings['product']['product-image'];?>"/></div>
						</div>
						<div class="col-md-12">
							<div class="well" style="background:white">
								<div id="product-description" class="clsSp_txt_bl_lft with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['product']['description']; ?></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

	</div> <!--clsWrapper-->

<?php
require_once('parts/footer.php');
?>	

<script type="text/javascript">
	$(document).ready(function() {
		$('#home-change-background').click( function() {
			ShowLightbox('background', '.clsBg1');
		})

		$('.clsProImg img').click( function() {
			ShowLightbox('misc', '.clsProImg img');
		})

	})

	function saveButtonToggle() {
		var saveChanges = 0;

		if(tempSettings['product']['background-image'] != settings['product']['background-image']) {
			saveChanges = 1;
		}

		var description = $('#product-description').html();
		if(description != settings['product']['description']) {
			saveChanges = 1;
			tempSettings['product']['description'] = description;
		}

		if(tempSettings['product']['product-image'] != settings['product']['product-image']) {
			saveChanges = 1;
		}

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	

	}

	// Upload Images - Callback once the image got uploaded
	$(document).ajaxComplete(function() {
		
		var str = $('.clsBg1').attr('data-image');
		var background = str.split('/');
		tempSettings['product']['background-image'] = background[(background.length)-1];

		str = $('.clsProImg img').attr('data-image');
		var image = str.split('/');
		tempSettings['product']['product-image'] = image[(image.length)-1];

		saveButtonToggle();
	});		
</script>