<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php" class="app-navigation-button-active"><?php echo __('menu_home'); ?></a>
			<a href="product.php"><?php echo __('menu_product'); ?></a>
			<a href="sales.php"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php"><?php echo __('menu_signature'); ?></a>			
			<a href="tools.php"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  	
	<div id="page-seo">
		<div class="page-seo-text"><label><?php echo __('seo_page_title'); ?></label><input id="page-title" type="text" value="<?php echo $settings['home']['page-title'];?>" placeholder="<?php echo __('seo_page_title_hint'); ?>"/></div>
		<div class="page-seo-text"><label><?php echo __('seo_page_description'); ?></label><input id="page-description" type="text" value="<?php echo $settings['home']['page-description'];?>" maxlength="156" placeholder="<?php echo __('seo_page_description_hint'); ?>"/></div>
		<div class="page-text"><label><?php echo __('affiliate_link'); ?></label><input id="affiliate-link" type="text" value="<?php echo $settings['home']['affiliate-link'];?>" placeholder="<?php echo __('affiliate_link_hint'); ?>"/></div>
		<div class="page-custom"><textarea id="page-custom" placeholder="<?php echo __('custom_head_placeholder');?>"><?php echo $settings['home']['page-custom'] ?></textarea></div>
	</div>
    <div class="clsWrapper">
		<div class="clsHeader">
			<div class="clsLogo_bar" style="background-color:<?php echo $settings['logo-bg-color'] ?>">
				<div class="clsPadding_sm">
					<div class="container">
						<div class="row">
							<div class="col-md-1"></div>
							<div class="col-md-10">
								<div class="row">
									<div class="col-md-12">
										<div id="logo-container" class="clsLogo_img with-tooltip" title="<?php echo __('home_change_website_logo_tooltip'); ?>">
											<img src="../images/logo/<?php echo $settings['logo']; ?>" class="center-block"/>
										</div>
										<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
											<input id="logo-bg" type="text" value="<?php echo $settings['logo-bg-color'] ?>"/>
										</div>										
									</div>
								</div>
							</div>
							<div class="col-md-1"></div>
						</div>
						
					</div>
				</div>
			</div>
			<div class="clsMenu_bar" style="background-color:<?php echo $settings['nav-bg-color'] ?>">
					<div class="container">
						<div class="row">
							<div class="col-md-1"></div>
							<div class="col-md-10">
								<div class="row">
									<div class="col-md-12">
										<table align="center">
										<tr>
										<td>
										<div class="clsMenu_top">
											<nav class="navbar navbar-default clsMenu_JV" role="navigation">
											  <div class="container1">
												<!-- Brand and toggle get grouped for better mobile display -->
												<div class="navbar-header">
													<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
													  <span class="sr-only">Toggle navigation</span>
													  <span class="icon-bar"></span>
													  <span class="icon-bar"></span>
													  <span class="icon-bar"></span>
													</button>
												  </div>
												  <div id="navbar" class="navbar-collapse collapse">
													  <ul class="nav navbar-nav navbar-right">
														<li class="active"><a href="#"><?php echo strtoupper(__('menu_product')); ?></a></li>
												<?php if($settings['prizes']['enabled']) { ?>
														<li><a href="#"><?php echo strtoupper(__('menu_prizes')); ?></a></li>
												<?php } 
													  if($settings['promo-tools']['enabled']) { ?>
														<li><a href="#"><?php echo strtoupper(__('menu_promo')); ?></a></li>
												<?php } ?>
														<li class="active2"><a href="#"><?php echo strtoupper(__('menu_get_link')); ?></a></li>
													  </ul>
													</div><!-- /.navbar-collapse -->
											  </div><!-- /.container-fluid -->
											</nav>
										</div>
										</td>
										</tr>
										</table>
										<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
											<input id="nav-bg" type="text" value="<?php echo $settings['nav-bg-color'] ?>"/>
										</div>
									</div>
								</div>
							</div>
							<div class="col-md-1"></div>
						</div>
						<!--
						<div class="colors-option">
							<input type="text" class="color-picker" value="<?php echo $settings['terms']['heading-color'] ?>"/>
						</div>								
						-->
					</div>
			</div>
		</div>	<!--clsHeader-->

		<div class="clsBg2" style="background-image: url('../images/background/<?php echo $settings['home']['background-image'];?>')" data-image="<?php echo $settings['home']['background-image']; ?>">
			<div class="clsPadding_sm">
				<div class="clsMargin">
					<div class="container">
								<div class="row">
									<div id="home-change-background" class="clsSp_txt_wh_center config-button home-background-image with-tooltip" title="<?php echo __('change_background_image_tooltip'); ?>" data-background-image="<?php echo $settings['home']['background-image']; ?>"><i class="fa fa-picture-o"></i></div>
									<div class="col-md-12">
										<div class="clsSp_txt_wh_center">
										<?php
											$headingEnabledIcon = ($settings['home']['heading-1-enabled'])?'fa-check':'fa-times';
										?>
											<h1 id="home-heading-1" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['heading-1']; ?></h1>
											<div id="home-heading-1-enabled" class="config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['home']['heading-1-enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $headingEnabledIcon; ?>"></i></div>
										<?php
											$headingEnabledIcon = ($settings['home']['heading-2-enabled'])?'fa-check':'fa-times';
										?>
											<h2 id="home-heading-2" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>" style="padding-top:20px;color:black"><?php echo $settings['home']['heading-2']; ?></h2>
											<div id="home-heading-2-enabled" class="config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['home']['heading-2-enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $headingEnabledIcon; ?>"></i></div>
										</div>
									</div>
								</div>
								
								<div class="row" style="padding-top:60px;">
									<?php
										// if there is no video configure, show the bullets centered
										//$offset = ($settings['home']['video-enabled']) ? '' : 'col-md-offset-3';

										//if($settings['home']['video-enabled']) :
										$videoEnabled = ($settings['home']['video-enabled']) ? 'fa-check' : 'fa-times';
									?>
									<div class="col-md-6">	
										<div class="clsVid_Bx">
											<div id="home-video" class="clsVid_Bg embed-responsive embed-responsive-16by9 embed-responsive-item with-tooltip" title="<?php echo __('click_tooltip'); ?>">
											<textarea id="home-video-code"><?php echo $settings['home']['video-embed']; ?></textarea>
											<?php //echo ($settings['home']['video-enabled']) ? $settings['home']['video-embed'] : '';  ?>
											</div>
										</div>
										<div id="home-video-enabled" class="config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['home']['video-enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $videoEnabled; ?>"></i></div>
									</div>
									<?php
										//endif;
									?>
									<div class="col-md-6 <?php //echo $offset; ?>" style="padding-top:20px;">	
									<?php
										$bulletEnabledIcon_1 = ($settings['home']['bullets'][0]['enabled'])?'fa-check':'fa-times';
										$bulletEnabledIcon_2 = ($settings['home']['bullets'][1]['enabled'])?'fa-check':'fa-times';
										$bulletEnabledIcon_3 = ($settings['home']['bullets'][2]['enabled'])?'fa-check':'fa-times';
										$bulletEnabledIcon_4 = ($settings['home']['bullets'][3]['enabled'])?'fa-check':'fa-times';
									?>
										<div class="clsSp_txt_wh_lft clearfix" >
											<span class="bullet-container with-tooltip" title="<?php echo __('click_change_icon'); ?>" style="margin-top: 1px;width:10%; float:left;"><img src="../images/icons/<?php echo $settings['home']['bullets']['icon']; ?>"/></span> 
											<span style="width:90%; float:left;"><h3 id="home-bullet-1" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['bullets'][0]['text']; ?></h3></span>
											<div id="home-bullet-1-enabled" class="config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['home']['bullets'][0]['enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $bulletEnabledIcon_1; ?>"></i></div>
										</div>

										<div class="clsSp_txt_wh_lft clearfix" style="padding-top:15px;">
											<span class="bullet-container with-tooltip" title="<?php echo __('click_change_icon'); ?>" style="margin-top: 1px;width:10%; float:left;"><img src="../images/icons/<?php echo $settings['home']['bullets']['icon']; ?>"/></span> 
											<span style="width:90%; float:left;"><h3 id="home-bullet-2" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['bullets'][1]['text']; ?></h3></span>
											<div id="home-bullet-2-enabled" class="config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['home']['bullets'][1]['enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $bulletEnabledIcon_2; ?>"></i></div>
										</div>
										<div class="clsSp_txt_wh_lft clearfix" style="padding-top:15px;">
											<span class="bullet-container with-tooltip" title="<?php echo __('click_change_icon'); ?>" style="margin-top: 1px;width:10%; float:left;"><img src="../images/icons/<?php echo $settings['home']['bullets']['icon']; ?>"/></span> 
											<span style="width:90%; float:left;"><h3 id="home-bullet-3" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['bullets'][2]['text']; ?></h3></span>
											<div id="home-bullet-3-enabled" class="config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['home']['bullets'][2]['enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $bulletEnabledIcon_3; ?>"></i></div>
										</div>
										<div class="clsSp_txt_wh_lft clearfix" style="padding-top:15px;">
											<span class="bullet-container with-tooltip" title="<?php echo __('click_change_icon'); ?>" style="margin-top: 1px;width:10%; float:left;"><img src="../images/icons/<?php echo $settings['home']['bullets']['icon']; ?>"/></span> 
											<span style="width:90%; float:left;"><h3 id="home-bullet-4" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['bullets'][3]['text']; ?></h3></span>
											<div id="home-bullet-4-enabled" class="config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['home']['bullets'][3]['enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $bulletEnabledIcon_4; ?>"></i></div>
										</div>
									</div>
								</div>
								
								<div class="row" style="padding-top:60px;">
									<div class="col-md-6">
										<div class="well" style="background:white;">
											<div class="clsSp_txt_bl_center">
												<h3 id="product-launch-heading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['product-launch']['heading']; ?></h3>
												<p id="product-launch-subheading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['product-launch']['sub-heading']; ?></p>
											</div>
										
											<div class="well2" style="padding-top:30px">
													<div class="row">
														<div class="col-md-6">
															<div class="clsCal_bg_img">
																<div class="clsSp_txt_wh_center">				
																	<h2 id="product-launch-month" style="padding-top:30px;font-size:25px;line-height:30px;" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['product-launch']['calendar-month']; ?></h2>
																</div>
																<div class="clsSp_txt_bl_center">				
																	<h1 id="product-launch-date" style="font-size:80px;padding-top:25px;" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['product-launch']['calendar-date']; ?></h1>
																</div>
															</div>
														</div>
														<div class="col-md-6">
															<div class="clsSp_txt_bl_lft" style="padding-top:10px;">				
																<h3><i class="fa fa-calendar"></i> <span id="product-launch-date-range" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['product-launch']['date-range']; ?></span></h3>
																<h3><i class="fa fa-clock-o"></i> <span id="product-launch-hour" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['product-launch']['hour']; ?></span></h3>
															</div>
														</div>
													</div>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="well" style="background:white;min-height:340px;">
													<div class="clsVid_bx_Sect">
														<div class="well2">
															<div class="clsSp_txt_bl_center">
																<h3 id="subscribe-form-heading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['subscribe-form']['heading']; ?></h3>
																<p id="subscribe-form-subheading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['home']['subscribe-form']['sub-heading']; ?></p>
															</div>
															<div id="subscribe-form-container" class="form-placeholder with-tooltip" title="<?php echo __('click_tooltip'); ?>">
																<img src="images/partner-form.jpg">
																<textarea id="subscribe-form-code"><?php echo $settings['home']['subscribe-form']['form-embed']; ?></textarea>
															</div>
															
															<!--
															<form style="padding-top:30px;" method="post" action="" accept-charset="utf-8">
																<div class="clsForm_opt">
																	<div class="row">
																		<div class="col-xs-12" style="margin-bottom:8px;">
																			<div class="input-group">
																				<span style="border: 1px solid #eeeeee;" class="input-group-addon"><span class="glyphicon glyphicon-user" aria-hidden="true"></span></span>													
																				<input type="hidden" name="webform_id" value="12183203">
																				<input type="text" class="form-control" id="inputGroupSuccess4" aria-describedby="inputGroupSuccess4Status" placeholder="Enter your first name" style="height:50px; border: 1px solid #eeeeee;" name="name">
																			</div>
																		</div>
																		<div class="col-xs-12" style="margin-bottom:8px;">
																			<div class="input-group">
																				<span style="border: 1px solid #eeeeee;" class="input-group-addon"><span class="glyphicon glyphicon-envelope" aria-hidden="true"></span></span>
																				<input type="text" class="form-control" id="inputGroupSuccess4" aria-describedby="inputGroupSuccess4Status" placeholder="Enter your email address" style="height:50px; border: 1px solid #eeeeee;" name="email">
																			</div>
																		</div>
																		<div class="col-xs-12">
																			<button class="btn_edt3 btn btn-warning btn-lg col-xs-12"><b style="font-size:20px;">Become a JV Partner</b></button>
																		</div>
																	</div>
																</div>
															</form>
															-->
														</div>
													</div>
												</div>
											</div>
								</div>
					</div>
				</div>
			</div>
		</div>	<!--clsBg1-->
		
		
		<div class="clsBg_white" style="border-bottom:1px solid #dbdbdb;">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-1"></div>
						<div class="col-md-10">
							<div class="row">
								<div class="col-md-6">
									<div class="clsButton" style="text-align:center;padding:20px;">
										<div class="btn_edt2 btn btn-warning btn-lg" type="submit">
											<div class="clsSp_txt_wh_center">
												<h2 style="padding:10px;"><b><?php echo __('affiliate_link_button'); ?></b></h2>
											</div>
										</div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="clsButton" style="text-align:center;padding:20px;">
										<div class="btn_edt btn btn-warning btn-lg" type="submit">
											<div class="clsSp_txt_wh_center">
												<h2 style="padding:10px;"><b><?php echo __('promo_tools_button'); ?></b></h2>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-1"></div>
					</div>
					
				</div>
			</div>
		</div>		


<?php
require_once('parts/footer.php');
?>		

<script type="text/javascript">
	$(document).ready(function() {
		$('#logo-container img').click( function() {
			ShowLightbox('logo', '#logo-container img');
		});

		$('.bullet-container img').click( function() {
			ShowLightbox('icons', '.bullet-container img');
		});

		$('#home-change-background').click( function() {
			ShowLightbox('background', '.clsBg2');
		})

		$('#page-title, #page-description, #affiliate-link').on('keyup', function() {
			saveButtonToggle();
		});		

		$('#home-video').click( function() {
			$('#home-video-code').show();
			$('#home-video-code').focus();
		})

		$('#subscribe-form-container').click( function() {
			$('#subscribe-form-code').show();
			$('#subscribe-form-code').focus();
			$('#subscribe-form-container img').hide();			
		})

		$('#home-video-code, #subscribe-form-code').blur( function() {
			saveButtonToggle();
		})

		$('#logo-bg').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				console.log(color.toHexString());
				saveButtonToggle();
			}
		});

		$('#nav-bg').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				console.log(color.toHexString());
				saveButtonToggle();
			}
		});

	});

	function saveButtonToggle() {
		var saveChanges = 0;

		if(tempSettings['logo'] != settings['logo']) {
			saveChanges = 1;
		}

		if(tempSettings['home']['background-image'] != settings['home']['background-image']) {
			saveChanges = 1;
		}

		if(tempSettings['home']['bullets']['icon'] != settings['home']['bullets']['icon']) {
			saveChanges = 1;
		}

		var color = $('.clsLogo_bar').css('background-color');
		if(color != settings['logo-bg-color']) {
			saveChanges = 1;
			tempSettings['logo-bg-color'] = color;
		}

		var color = $('.clsMenu_bar').css('background-color');
		if(color != settings['nav-bg-color']) {
			saveChanges = 1;
			tempSettings['nav-bg-color'] = color;
		}		

		var pageTitle = $('#page-title').val();
		if(pageTitle != settings['home']['page-title']) {
			tempSettings['home']['page-title'] = pageTitle;
			saveChanges = 1;
		}

		var pageDescription = $('#page-description').val();
		if(pageDescription != settings['home']['page-description']) {
			tempSettings['home']['page-description'] = pageDescription;
			saveChanges = 1;
		}			

		var affiliate_link = $('#affiliate-link').val();
		if(affiliate_link != settings['home']['affiliate-link']) {
			tempSettings['home']['affiliate-link'] = affiliate_link;
			saveChanges = 1;
		}

		var pageCustom = $('#page-custom').val();
		if(pageCustom != settings['home']['page-custom']) {
			tempSettings['home']['page-custom'] = pageCustom;
			saveChanges = 1;
		}

		var heading_1 = $('#home-heading-1').html();
		if(heading_1 != settings['home']['heading-1']) {
			saveChanges = 1;
			tempSettings['home']['heading-1'] = heading_1;
		}

		var heading_1_enabled = $('#home-heading-1-enabled').attr('data-enabled');
		if(heading_1_enabled != settings['home']['heading-1-enabled']) {
			tempSettings['home']['heading-1-enabled'] = heading_1_enabled;
			saveChanges = 1;
		}				

		var heading_2 = $('#home-heading-2').html();
		if(heading_2 != settings['home']['heading-2']) {
			saveChanges = 1;
			tempSettings['home']['heading-2'] = heading_2;
		}	

		var heading_2_enabled = $('#home-heading-2-enabled').attr('data-enabled');
		if(heading_2_enabled != settings['home']['heading-2-enabled']) {
			tempSettings['home']['heading-2-enabled'] = heading_2_enabled;
			saveChanges = 1;
		}	

		var video_code = $('#home-video-code').val().trim();
		if(video_code != settings['home']['video-embed']) {
			tempSettings['home']['video-embed'] = video_code;
			saveChanges = 1;
		}

		var video_enabled = $('#home-video-enabled').attr('data-enabled');
		if(video_enabled != settings['home']['video-enabled']) {
			tempSettings['home']['video-enabled'] = video_enabled;
			saveChanges = 1;
		}

		var bullet_1 = $('#home-bullet-1').html();
		if(bullet_1 != settings['home']['bullets'][0]['text']) {
			saveChanges = 1;
			tempSettings['home']['bullets'][0]['text'] = bullet_1;
		}	

		var bullet_1_enabled = $('#home-bullet-1-enabled').attr('data-enabled');
		if(bullet_1_enabled != settings['home']['bullets'][0]['enabled']) {
			tempSettings['home']['bullets'][0]['enabled'] = bullet_1_enabled;
			saveChanges = 1;
		}		

		var bullet_2 = $('#home-bullet-2').html();
		if(bullet_2 != settings['home']['bullets'][1]['text']) {
			saveChanges = 1;
			tempSettings['home']['bullets'][1]['text'] = bullet_2;
		}	

		var bullet_2_enabled = $('#home-bullet-2-enabled').attr('data-enabled');
		if(bullet_2_enabled != settings['home']['bullets'][1]['enabled']) {
			tempSettings['home']['bullets'][1]['enabled'] = bullet_2_enabled;
			saveChanges = 1;
		}		

		var bullet_3 = $('#home-bullet-3').html();
		if(bullet_3 != settings['home']['bullets'][2]['text']) {
			saveChanges = 1;
			tempSettings['home']['bullets'][2]['text'] = bullet_3;
		}	

		var bullet_3_enabled = $('#home-bullet-3-enabled').attr('data-enabled');
		if(bullet_3_enabled != settings['home']['bullets'][2]['enabled']) {
			tempSettings['home']['bullets'][2]['enabled'] = bullet_3_enabled;
			saveChanges = 1;
		}				

		var bullet_4 = $('#home-bullet-4').html();
		if(bullet_4 != settings['home']['bullets'][3]['text']) {
			saveChanges = 1;
			tempSettings['home']['bullets'][3]['text'] = bullet_4;
		}	

		var bullet_4_enabled = $('#home-bullet-4-enabled').attr('data-enabled');
		if(bullet_4_enabled != settings['home']['bullets'][3]['enabled']) {
			tempSettings['home']['bullets'][3]['enabled'] = bullet_4_enabled;
			saveChanges = 1;
		}				

		var product_heading = $('#product-launch-heading').html();
		if(product_heading != settings['home']['product-launch']['heading']) {
			saveChanges = 1;
			tempSettings['home']['product-launch']['heading'] = product_heading;
		}			

		var product_subheading = $('#product-launch-subheading').html();
		if(product_subheading != settings['home']['product-launch']['sub-heading']) {
			saveChanges = 1;
			tempSettings['home']['product-launch']['sub-heading'] = product_subheading;
		}				

		var product_calendar_month = $('#product-launch-month').html();
		if(product_calendar_month != settings['home']['product-launch']['calendar-month']) {
			saveChanges = 1;
			tempSettings['home']['product-launch']['calendar-month'] = product_calendar_month;
		}

		var product_calendar_date = $('#product-launch-date').html();
		if(product_calendar_date != settings['home']['product-launch']['calendar-date']) {
			saveChanges = 1;
			tempSettings['home']['product-launch']['calendar-date'] = product_calendar_date;
		}

		var product_date_range = $('#product-launch-date-range').html();
		if(product_date_range != settings['home']['product-launch']['date-range']) {
			saveChanges = 1;
			tempSettings['home']['product-launch']['date-range'] = product_date_range;
		}

		var product_hour = $('#product-launch-hour').html();
		if(product_hour != settings['home']['product-launch']['hour']) {
			saveChanges = 1;
			tempSettings['home']['product-launch']['hour'] = product_hour;
		}		

		var subscribe_heading = $('#subscribe-form-heading').html();
		if(subscribe_heading != settings['home']['subscribe-form']['heading']) {
			saveChanges = 1;
			tempSettings['home']['subscribe-form']['heading'] = subscribe_heading;
		}			

		var subscribe_subheading = $('#subscribe-form-subheading').html();
		if(subscribe_subheading != settings['home']['subscribe-form']['sub-heading']) {
			saveChanges = 1;
			tempSettings['home']['subscribe-form']['sub-heading'] = subscribe_subheading;
		}	

		var subscribe_code = $('#subscribe-form-code').val().trim();
		if(subscribe_code != settings['home']['subscribe-form']['form-embed']) {
			tempSettings['home']['subscribe-form']['form-embed'] = subscribe_code;
			saveChanges = 1;
		}		

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	
	}

	// Upload Images - Callback once the image got uploaded
	$(document).ajaxComplete(function() {
		
		var str = $("#logo-container").find('img').attr('src');
		var logo = str.split('/');
		tempSettings['logo'] = logo[(logo.length)-1];

		str = $(".bullet-container").eq(0).find('img').attr('src');
		var icon = str.split('/');
		tempSettings['home']['bullets']['icon'] = icon[(icon.length)-1];

		var str = $('.clsBg2').attr('data-image');
		var background = str.split('/');
		tempSettings['home']['background-image'] = background[(background.length)-1];

		saveButtonToggle();
	});	
</script>