
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="js/tooltipsy.min.js"></script>
<script type="text/javascript" src="js/spectrum.js"></script> 
<script type="text/javascript" src="js/admin.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="../js/bootstrap.min.js"></script>

<script type="text/javascript">

var settings = <?php echo json_encode($settings); ?>;
var tempSettings = <?php echo json_encode($settings); ?>;

$(document).ready(function() {
	//$('#home-heading-1, #home-heading-2, #home-bullet-1, #home-bullet-2, #home-bullet-3, #home-bullet-4').on('blur', function() {
	$('[contenteditable], textarea, input[type=text]').on('keyup', function() {			
		saveButtonToggle();
	})

	$('input[type=checkbox]').on('change', function() {
		saveButtonToggle();
	})

	$('#save-button').on('click', function() {
		saveData(tempSettings);
	});

	$(".toggle-visibility-button").on('click', function() { 
		if($(this).attr('data-enabled') == 1) {
			$(this).attr('data-enabled', 0) 
			$(this).html('<i class="fa fa-times"></i>')
		}
		else if($(this).attr('data-enabled') == 0) {
			$(this).attr('data-enabled', 1) 
			$(this).html('<i class="fa fa-check"></i>')
		}

		saveButtonToggle();
	});	

	$('#section-enabled-checkbox').click(function() {
		saveButtonToggle();
	});
	

	$("#upload-file-input").on('change', function() { 
		var file = $(this).get(0).files[0],
			fd = new FormData(),
			image_type = /image.jpeg|image.png/;
		
		$("#lightbox-error").hide();
		if(!file.type.match(image_type)) {
			$("#lightbox-error").text("<?php echo __('upload_lightbox_format_error'); ?>").show();
			return;
		}
		if(file.size > 500*1024) {
			$("#lightbox-error").text("<?php echo __('upload_lightbox_size_error'); ?>").show();
			return;
		}

		fd.append('image', file);
		fd.append('type', $("#upload-button").attr('data-type'));
		fd.append('_', Math.random());
		
		$.ajax({
			type: 'POST',
			url: 'upload-image.php',
			data: fd,
			dataType: 'JSON',
			success: function (response) {
				if(response.error == 1) {

				}
				else if(response.error == 0) {
					if($("#upload-button").attr('data-type') == 'background') {
						element = $("#upload-button").attr('data-element');
						$(element).css('background-image', 'url("../images/background/' + response.src + '")').attr('data-image', response.src);

					} else if($("#upload-button").attr('data-type') == 'logo') {
						$("#logo-container img").attr('src', '../images/logo/' + response.src).attr('data-logo', response.src);

					} else if($("#upload-button").attr('data-type') == 'icons') {
						element = $("#upload-button").attr('data-element');
						$(element).attr('src', '../images/icons/' + response.src).attr('data-icon', response.src);
					} else if($('#upload-button').attr('data-type') == 'misc') {
						element = $("#upload-button").attr('data-element');
						$(element).attr('src', '../images/misc/' + response.src).attr('data-image', response.src);
					} else if($('#upload-button').attr('data-type') == 'banners') {
						element = $("#upload-button").attr('data-element');
						$(element).attr('src', '../images/banners/' + response.src).attr('data-image', response.src);
					}

					$("#upload-button, #upload-button-message, #lightbox-close").show();
					$("#lightbox-loader").hide();
					$("#upload-lightbox").hide();
				}
			},
			processData: false,
			contentType: false
		});

		$("#upload-button, #upload-button-message, #lightbox-close").hide();
		$("#lightbox-loader").css('display', 'block');
	});


});

function ShowLightbox(type, elem) {

	$("#upload-lightbox").height($(document).height() + $(document).scrollTop()).show();
	$("html, body").scrollTop(0);

	if(type == 'background') {
		$("#upload-button").text("<?php echo __('upload_lightbox_background_button'); ?>").attr('data-type', type);
		$("#upload-button-message").html("<?php echo __('upload_lightbox_background_usage'); ?>")
		$("#upload-button").attr('data-element', elem);
	}
	else if(type == 'logo') {
		$("#upload-button").text("<?php echo __('upload_lightbox_logo_button'); ?>").attr('data-type', type);
		$("#upload-button-message").html("<?php echo __('upload_lightbox_logo_usage'); ?>")
	} else if(type == 'icons') {
		$("#upload-button").text("<?php echo __('upload_lightbox_icon_button'); ?>").attr('data-type', type);
		$("#upload-button").attr('data-element', elem);
		$("#upload-button-message").html("<?php echo __('upload_lightbox_icon_usage'); ?>")		
	} else {
		$("#upload-button").text("<?php echo __('upload_lightbox_image_button'); ?>").attr('data-type', type);
		$("#upload-button-message").html("");
		$("#upload-button").attr('data-element', elem);
	}
}

</script>