<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php"><?php echo __('menu_home'); ?></a>
			<a href="product.php"><?php echo __('menu_product'); ?></a>
			<a href="sales.php"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php"><?php echo __('menu_signature'); ?></a>
			<a href="tools.php" class="app-navigation-button-active"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  

<?php
	$pageEnabled = ($settings['promo-tools']['enabled']==1)?'checked':'';
?>

	<div id="section-enabled">
		<div id="section-enabled-text"><input id="section-enabled-checkbox" type="checkbox" <?php echo $pageEnabled; ?>/><label for="section-enabled-checkbox"><?php echo __('enable_page_label'); ?></label></div>
	</div>

	<div id="promo-section" class="clsWrapper">
		
		<div id="heading-1-bg" class="clsBg_black" style="background-color:<?php echo $settings['promo-tools']['email-swipes']['heading-bg-color'] ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="clsSp_txt_wh_center">
								<h1 id="promo-heading-1" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['email-swipes']['heading-1'] ?></h1>
								<h3 id="promo-heading-2" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>" style="padding-top:20px;"><?php echo $settings['promo-tools']['email-swipes']['heading-2'] ?></h3>
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker" value="<?php echo $settings['promo-tools']['email-swipes']['heading-bg-color'] ?>"/>
								</div>								
							</div>								
						</div>
					</div>
				</div>
			</div>
		</div>
		

		<div class="enable-custom-html clsSp_txt_bl_lft"><input id="swipes-enable-custom" type="checkbox" <?php echo ($settings['promo-tools']['email-swipes']['enable-custom'] == 1) ? 'checked' : ''  ?>><span style="display: inline-block"><p>Check to disregard the existing layout and add your own CUSTOM HTML for this section.<br/>Uncheck to revert the preset layout.</p></span></div>
		<div class="preset-layout" style="display: <?php echo ($settings['promo-tools']['email-swipes']['enable-custom'] == 1) ? 'none' : 'block'  ?>">
			<div class="clsBg_white">
				<div class="clsPadding_md">
					<div class="container">
						<div class="row">
							<div class="col-md-1"></div>
							<div class="col-md-10">
								<div class="row">
									<div class="col-md-12">
										<div class="clsSp_txt_bl_center">
											<h2 id="promo-heading-3" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['email-swipes']['heading-3'] ?></h2>
										</div>
									</div>
								</div>
							</div>
							<div class="col-md-1"></div>
						</div>
						
					</div>
				</div>
			</div>	<!--clsBg_white-->
			

			<div class="clsBg1 preset-layout" style="border-top:1px solid #c5c5c3; background-image: url('../images/background/<?php echo $settings['promo-tools']['email-swipes']['background-image'];?>');" data-image="<?php echo $settings['promo-tools']['email-swipes']['background-image'];?>">
				<div class="clsPadding_lg">
					<div class="container">
						<div class="row">
							<div id="promo-change-background" class="clsSp_txt_wh_center config-button promo-background-image with-tooltip" title="<?php echo __('change_background_image_tooltip'); ?>" data-background-image="<?php echo $settings['promo-tools']['email-swipes']	['background-image']; ?>"><i class="fa fa-picture-o"></i></div>
							<div class="col-md-1"></div>
							<div class="col-md-10">
						<?php 
							for($i=0; $i<=3; $i++) :
						?>
								<div class="row">
									<div class="col-md-12">
										<div style="background:white;" class="well">
											<div class="clsSp_txt_bl_center">
												<h3 class="plan-heading-1 with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['heading-1'] ?></h3>
												<p class="plan-heading-2 with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['heading-2'] ?></p>
												<hr>
												<div class="plan-description with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['description'] ?></div>
											</div>
										</div>
									</div>
									<div class="col-md-12">
										<div data-example-id="togglable-tabs" role="tabpanel" class="bs-example bs-example-tabs">
														<ul role="tablist" class="nav nav-tabs" id="myTab">
														  <li class="" role="presentation"><a aria-expanded="true" aria-controls="home" data-toggle="tab" role="tab" id="home-tab" href="#plan0<?php echo $i ?>tab1" class="plan-tab-1 with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['tab-1-title'] ?></a></li>
														  <li role="presentation" class="active"><a aria-controls="profile" data-toggle="tab" id="profile-tab" role="tab" href="#plan0<?php echo $i ?>tab2" aria-expanded="false" class="plan-tab-2 with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['tab-2-title'] ?></a></li>
														  
														</ul>
														<div class="tab-content" id="myTabContent">
														  <div aria-labelledby="home-tab" id="plan0<?php echo $i ?>tab1" class="tab-pane fade" role="tabpanel">
																<div class="clsEm_sw_cont">
																	<ul class="list-group">
																	  <li class="list-group-item">
																		<!--<p><b>Swipe #1 &ndash; Discount Angle (Includes 6-8 hour follow up message)</b></p>-->
																		<p style="text-align:center;">
	<textarea name="plan-content-1" class="plan-content-1 form-control" rows="10" style="font-size: 12px; width: 100%; min-height: 150px; font-family: monospace;"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['tab-1-content'] ?></textarea>
																		</p>
																	  </li>
																	 
																	</ul>
																</div>
														  </div>
														  
														  <div aria-labelledby="profile-tab" id="plan0<?php echo $i ?>tab2" class="tab-pane fade active in" role="tabpanel">
																<div class="clsEm_sw_cont">
																	<ul class="list-group">
																	  <li class="list-group-item">
																		<!--<p><b>ewrwe</b></p>-->
																		<p style="text-align:center;">
	<textarea name="plan-content-2" class="plan-content-2 form-control" rows="10" style="font-size: 12px; width: 100%; min-height: 150px; font-family: monospace;"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['tab-2-content'] ?></textarea>
																		</p>
																	  </li>
																	   
																	</ul>
																</div>
														  </div>
														  
														</div>
										</div>	
									</div>
								</div>
						<?php
							endfor;
						?>
				

							</div>
							<div class="col-md-1"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="custom-html" style="display: <?php echo ($settings['promo-tools']['email-swipes']['enable-custom'] == 1) ? 'block' : 'none'  ?>">
			<textarea id="swipes-custom-content" placeholder="<?php echo __('custom_html_placeholder') ?>"><?php echo $settings['promo-tools']['email-swipes']['custom-html'] ?></textarea>
		</div>		
		
		<div id="heading-2-bg" class="clsBg_black" style="background-color:<?php echo $settings['promo-tools']['banners']['heading-bg-color'] ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="clsSp_txt_wh_center">
								<h1 id="banners-heading-1" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['banners']['heading-1'] ?></h1>
								<h3 id="banners-heading-2" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>" style="padding-top:20px;"><?php echo $settings['promo-tools']['banners']['heading-2'] ?></h3>
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker" value="<?php echo $settings['promo-tools']['banners']['heading-bg-color'] ?>"/>
								</div>									
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<div class="clsBg_white">
			<div class="clsPadding_lg">
				<div class="container">
					<div class="enable-custom-html clsSp_txt_bl_lft"><input id="banners-enable-custom" type="checkbox" <?php echo ($settings['promo-tools']['banners']['enable-custom'] == 1) ? 'checked' : ''  ?>><span style="display: inline-block"><p>Check to disregard the existing layout and add your own CUSTOM HTML for this section.<br/>Uncheck to revert the preset layout.</p></span></div>
					<div class="preset-layout row" style="display: <?php echo ($settings['promo-tools']['banners']['enable-custom'] == 1) ? 'none' : 'block'  ?>">
						<div class="col-md-1"></div>
						<div class="col-md-10">
							<div class="row">
									<div class="col-md-1"></div>
									<div class="col-md-10">
										<div class="row">
											<div class="col-md-12">
												<div style="background:white;" class="well">
													<div class="clsSp_txt_bl_center">
														<p class="banners-heading with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['banners'][0]['heading'] ?></p>
													</div>
													<hr>
													<div id="banner-0" class="clsCombo_basic"><img class="img-responsive center-block with-tooltip" title="<?php echo __('click_change_product_image'); ?>" data-image="<?php echo $settings['promo-tools']['banners'][0]['banner'];?>" src="../images/banners/<?php echo $settings['promo-tools']['banners'][0]['banner']; ?>"></div>
													<hr>
													<div align="center">
														<textarea style="font-size: 12px; min-height: 80px; font-family: monospace;" rows="" class="form-control">&lt;a href="YOUR-AFFILLIATE-LINK" target="_blank";img src="YOURSITE/images/banners/<?php echo $settings['promo-tools']['banners'][0]['banner']; ?>" /&gt;&lt;/a&gt;</textarea>
													</div>
												</div>
											</div>
										</div>
										
										<div class="row">

									<?php
										for($i=1; $i<=4; $i++) :
									?>
											<div class="col-md-3">
												<div style="background:white;" class="well">
													<div class="clsSp_txt_bl_center">
														<p class="banners-heading with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['banners'][$i]['heading'] ?></p>
													</div>
													<hr>
													<div id="banner-<?php echo $i; ?>" class="clsBanner"><img class="img-responsive center-block with-tooltip" title="<?php echo __('click_change_product_image'); ?>" data-image="<?php echo $settings['promo-tools']['banners'][$i]['banner'];?>" src="../images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>"></div>
													<hr>
													<div align="center">
														<textarea style="font-size: 12px; min-height: 80px; font-family: monospace;" rows="" class="form-control">&lt;a href="YOUR-AFFILLIATE-LINK" target="_blank";img src="YOURSITE/images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>" /&gt;&lt;/a&gt;</textarea>
													</div>
												</div>
											</div>
									<?php
										endfor;
									?>
										</div>
										
										<div class="row">
									<?php
										for($i=5; $i<=7; $i++) :
									?>											
											<div class="col-md-4">
												<div style="background:white;" class="well">
													<div class="clsSp_txt_bl_center">
														<p class="banners-heading with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['banners'][$i]['heading'] ?></p>
													</div>
													<hr>
													<div id="banner-<?php echo $i; ?>" class="clsBanner"><img class="img-responsive center-block with-tooltip" src="../images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>" title="<?php echo __('click_change_product_image'); ?>" data-image="<?php echo $settings['promo-tools']['banners'][$i]['banner'];?>"></div>
													<hr>
													<div align="center">
														<textarea style="font-size: 12px; min-height: 80px; font-family: monospace;" rows="" class="form-control">&lt;a href="YOUR-AFFILLIATE-LINK" target="_blank";img src="YOURSITE/images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>" /&gt;&lt;/a&gt;</textarea>
													</div>
												</div>
											</div>
									<?php
										endfor;
									?>											
										</div>
										
										<div class="row">
									<?php
										for($i=8; $i<=9; $i++) :
									?>																
											<div class="col-md-12">
												<div style="background:white;" class="well">
													<div class="clsSp_txt_bl_center">
														<p class="banners-heading with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['banners'][$i]['heading'] ?></p>
													</div>
													<hr>
													<div id="banner-<?php echo $i; ?>" class="clsBanner"><img class="img-responsive center-block with-tooltip" title="<?php echo __('click_change_product_image'); ?>" data-image="<?php echo $settings['promo-tools']['banners'][$i]['banner'];?>" src="../images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>"></div>
													<hr>
													<div align="center">
														<textarea style="font-size: 12px; min-height: 80px; font-family: monospace;" rows="" class="form-control">&lt;a href="YOUR-AFFILLIATE-LINK" target="_blank";img src="YOURSITE/images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>" /&gt;&lt;/a&gt;</textarea>
													</div>
												</div>
											</div>
									<?php
										endfor;
									?>											
										</div>
									</div>
									<div class="col-md-1"></div>
								</div>
						</div>
						<div class="col-md-1"></div>
					</div>
					<div class="custom-html" style="display: <?php echo ($settings['promo-tools']['banners']['enable-custom'] == 1) ? 'block' : 'none'  ?>">
						<textarea id="banners-custom-content" placeholder="<?php echo __('custom_html_placeholder') ?>"><?php echo $settings['promo-tools']['banners']['custom-html'] ?></textarea>
					</div>							
				</div>
			</div>
		</div>
		
		<div id="heading-3-bg" class="clsBg_black" style="background-color:<?php echo $settings['promo-tools']['bonus']['heading-bg-color'] ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="clsSp_txt_wh_center">
								<h1 id="bonus-heading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['bonus']['heading'] ?></h1>
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker" value="<?php echo $settings['promo-tools']['bonus']['heading-bg-color'] ?>"/>
								</div>									
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="clsBg_white">
			<div class="clsPadding_lg">
				<div class="container">
					<div class="row">
						<div class="col-md-1"></div>
						<div class="col-md-10">
							<div class="enable-custom-html clsSp_txt_bl_lft"><input id="bonus-enable-custom" type="checkbox" <?php echo ($settings['promo-tools']['bonus']['enable-custom'] == 1) ? 'checked' : ''  ?>><span style="display: inline-block"><p>Check to disregard the existing layout and add your own CUSTOM HTML for this section.<br/>Uncheck to revert the preset layout.</p></span></div>
							<div class="preset-layout" style="display: <?php echo ($settings['promo-tools']['bonus']['enable-custom'] == 1) ? 'none' : 'block'  ?>">
								<div id="bonus-page-content" class="clsSp_txt_bl_lft with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['promo-tools']['bonus']['content'] ?></div>
								<div class="row">
									<div class="col-md-2"></div>
									<div class="col-md-4 text-center">
										<div class="clsButton" style="text-align:center;padding:20px;">
											<div class="btn_edt2 btn btn-warning btn-lg" style="width: 200px" type="submit">
												<div class="clsSp_txt_wh_center">
													<h2 id="preview-btn-text" class="with-tooltip" style="padding:10px;" contenteditable="true" title="<?php echo __('click_tooltip') ?>"><?php echo $settings['promo-tools']['bonus']['preview-button'] ?></h2>
												</div>
											</div>
										</div>
										<input id="preview-btn-link" type="text" placeholder="<?php echo __('bonus_preview_link') ?>" style="width: 200px" value="<?php echo $settings['promo-tools']['bonus']['preview-link'] ?>"/>
									</div>
									<div class="col-md-4 text-center">
										<div class="clsButton" style="text-align:center;padding:20px;">
											<div class="btn_edt btn btn-warning btn-lg" style="width: 200px" type="submit">
												<div class="clsSp_txt_wh_center">
													<h2 id="download-btn-text" class="with-tooltip" style="padding:10px;" contenteditable="true" title="<?php echo __('click_tooltip') ?>"><?php echo $settings['promo-tools']['bonus']['download-button'] ?></h2>
												</div>
											</div>
										</div>
										<input id="download-btn-link" type="text" placeholder="<?php echo __('bonus_download_link') ?>" style="width: 200px" value="<?php echo $settings['promo-tools']['bonus']['download-link'] ?>"/>
									</div>
									<div class="col-md-2"></div>
								</div>
							</div>
							<div class="custom-html" style="display: <?php echo ($settings['promo-tools']['bonus']['enable-custom'] == 1) ? 'block' : 'none'  ?>">
								<textarea id="bonus-custom-content" placeholder="<?php echo __('custom_html_placeholder') ?>"><?php echo $settings['promo-tools']['bonus']['custom-html'] ?></textarea>
							</div>							
						</div>
						<div class="col-md-1"></div>
					</div>
				</div>
			</div>
		</div>

	</div> <!--clsWrapper-->

<?php
require_once('parts/footer.php');
?>	

<script type="text/javascript">
	$(document).ready(function() {
		$('#promo-change-background').click( function() {
			ShowLightbox('background', '.clsBg1');
		})


		$('.color-picker').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				saveButtonToggle();
			}
		});	

		$('.clsCombo_basic img, .clsBanner img').click( function() {
			var elem = '#' + $(this).parent().attr('id') + ' img';
			ShowLightbox('banners', elem);
		})

	})

	function saveButtonToggle() {
		var saveChanges = 0;

		var pageEnabled = parseInt($('#section-enabled-checkbox').is(':checked')?1:0);
		if(settings['promo-tools']['enabled'] != pageEnabled) {
			tempSettings['promo-tools']['enabled'] = pageEnabled;
			saveChanges = 1;
		} else {
			tempSettings['promo-tools']['enabled'] = settings['promo-tools']['enabled'];
		}

		if(tempSettings['promo-tools']['email-swipes']['background-image'] != settings['promo-tools']['email-swipes']['background-image']) {
			saveChanges = 1;
		}		

		var color = $('#heading-1-bg').css('background-color');
		if(color != settings['promo-tools']['email-swipes']['heading-bg-color']) {
			saveChanges = 1;
			tempSettings['promo-tools']['email-swipes']['heading-bg-color'] = color;
		}

		var color = $('#heading-2-bg').css('background-color');
		if(color != settings['promo-tools']['banners']['heading-bg-color']) {
			saveChanges = 1;
			tempSettings['promo-tools']['banners']['heading-bg-color'] = color;
		}

		var color = $('#heading-3-bg').css('background-color');
		if(color != settings['promo-tools']['bonus']['heading-bg-color']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['heading-bg-color'] = color;
		}

		var custom = parseInt($('#swipes-enable-custom').is(':checked')?1:0);
		if(custom != settings['promo-tools']['email-swipes']['enable-custom']) {
			saveChanges = 1;
			tempSettings['promo-tools']['email-swipes']['enable-custom'] = custom;
		}

		var text = $('#swipes-custom-content').val();
		if(text != settings['promo-tools']['email-swipes']['custom-html']) {
			saveChanges = 1;
			tempSettings['promo-tools']['email-swipes']['custom-html'] = text;
		}

		var custom = parseInt($('#banners-enable-custom').is(':checked')?1:0);
		if(custom != settings['promo-tools']['banners']['enable-custom']) {
			saveChanges = 1;
			tempSettings['promo-tools']['banners']['enable-custom'] = custom;
		}

		var text = $('#banners-custom-content').val();
		if(text != settings['promo-tools']['banners']['custom-html']) {
			saveChanges = 1;
			tempSettings['promo-tools']['banners']['custom-html'] = text;
		}

		if(tempSettings['promo-tools']['banners']['heading-bg'] != settings['promo-tools']['banners']['heading-bg']) {
			saveChanges = 1;
		}			

		for(i=0; i<=3; i++) {
			var text;
			text = $('.plan-heading-1').eq(i).html();
			if(text != settings['promo-tools']['email-swipes']['mailing-plan'][i]['heading-1']) {
				saveChanges = 1;
				tempSettings['promo-tools']['email-swipes']['mailing-plan'][i]['heading-1'] = text;
			}	

			text = $('.plan-heading-2').eq(i).html();
			if(text != settings['promo-tools']['email-swipes']['mailing-plan'][i]['heading-2']) {
				saveChanges = 1;
				tempSettings['promo-tools']['email-swipes']['mailing-plan'][i]['heading-2'] = text;
			}			

			text = $('.plan-description').eq(i).html();
			if(text != settings['promo-tools']['email-swipes']['mailing-plan'][i]['description']) {
				saveChanges = 1;
				tempSettings['promo-tools']['email-swipes']['mailing-plan'][i]['description'] = text;
			}			

			text = $('.plan-tab-1').eq(i).html();
			if(text != settings['promo-tools']['email-swipes']['mailing-plan'][i]['tab-1-title']) {
				saveChanges = 1;
				tempSettings['promo-tools']['email-swipes']['mailing-plan'][i]['tab-1-title'] = text;
			}

			text = $('.plan-tab-2').eq(i).html();
			if(text != settings['promo-tools']['email-swipes']['mailing-plan'][i]['tab-2-title']) {
				saveChanges = 1;
				tempSettings['promo-tools']['email-swipes']['mailing-plan'][i]['tab-2-title'] = text;
			}

			text = $('.plan-content-1').eq(i).val();
			if(text != settings['promo-tools']['email-swipes']['mailing-plan'][i]['tab-1-content']) {
				saveChanges = 1;
				tempSettings['promo-tools']['email-swipes']['mailing-plan'][i]['tab-1-content'] = text;
			}			

			text = $('.plan-content-2').eq(i).val();
			if(text != settings['promo-tools']['email-swipes']['mailing-plan'][i]['tab-2-content']) {
				saveChanges = 1;
				tempSettings['promo-tools']['email-swipes']['mailing-plan'][i]['tab-2-content'] = text;
			}			
		}

		var heading_1 = $('#promo-heading-1').html();
		if(heading_1 != settings['promo-tools']['email-swipes']['heading-1']) {
			saveChanges = 1;
			tempSettings['promo-tools']['email-swipes']['heading-1'] = heading_1;
		}		

		var heading_2 = $('#promo-heading-2').html();
		if(heading_2 != settings['promo-tools']['email-swipes']['heading-2']) {
			saveChanges = 1;
			tempSettings['promo-tools']['email-swipes']['heading-2'] = heading_2;
		}		

		var heading_3 = $('#promo-heading-3').html();
		if(heading_3 != settings['promo-tools']['email-swipes']['heading-3']) {
			saveChanges = 1;
			tempSettings['promo-tools']['email-swipes']['heading-3'] = heading_3;
		}				


		var b_heading_1 = $('#banners-heading-1').html();
		if(b_heading_1 != settings['promo-tools']['banners']['heading-1']) {
			saveChanges = 1;
			tempSettings['promo-tools']['banners']['heading-1'] = b_heading_1;
		}				

		var b_heading_2 = $('#banners-heading-2').html();
		if(b_heading_2 != settings['promo-tools']['banners']['heading-2']) {
			saveChanges = 1;
			tempSettings['promo-tools']['banners']['heading-2'] = b_heading_2;
		}	

		for(i=0; i<=9; i++) {
			if(tempSettings['promo-tools']['banners'][i]['banner'] != settings['promo-tools']['banners'][i]['banner']) {
				saveChanges = 1;
			}

			var text;
			text = $('.banners-heading').eq(i).html();
			if(text != settings['promo-tools']['banners'][i]['heading']) {
				saveChanges = 1;
				tempSettings['promo-tools']['banners'][i]['heading'] = text;
			}			
		}

		var custom = parseInt($('#bonus-enable-custom').is(':checked')?1:0);
		if(custom != settings['promo-tools']['bonus']['enable-custom']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['enable-custom'] = custom;
		}

		var heading = $('#bonus-heading').html();
		if(heading != settings['promo-tools']['bonus']['heading']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['heading'] = heading;
		}	

		var content = $('#bonus-page-content').html();
		if(content != settings['promo-tools']['bonus']['content']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['content'] = content;
		}			


		var text = $('#preview-btn-text').html();
		if(text != settings['promo-tools']['bonus']['preview-button']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['preview-button'] = text;
		}		

		var text = $('#download-btn-text').html();
		if(text != settings['promo-tools']['bonus']['download-button']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['download-button'] = text;
		}		

		var text = $('#preview-btn-link').val();
		if(text != settings['promo-tools']['bonus']['preview-link']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['preview-link'] = text;
		}		

		var text = $('#download-btn-link').val();
		if(text != settings['promo-tools']['bonus']['download-link']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['download-link'] = text;
		}		

		var text = $('#bonus-custom-content').val();
		if(text != settings['promo-tools']['bonus']['custom-html']) {
			saveChanges = 1;
			tempSettings['promo-tools']['bonus']['custom-html'] = text;
		}		

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	
	}

	// Upload Images - Callback once the image got uploaded
	$(document).ajaxComplete(function() {
		
		var str = $('.clsBg1').attr('data-image');
		var background = str.split('/');
		tempSettings['promo-tools']['email-swipes']['background-image'] = background[(background.length)-1];

/*
		var str = $('#heading-1-bg').attr('data-image');
		var background = str.split('/');
		tempSettings['promo-tools']['email-swipes']['heading-bg'] = background[(background.length)-1];

		var str = $('#heading-2-bg').attr('data-image');
		var background = str.split('/');
		tempSettings['promo-tools']['banners']['heading-bg'] = background[(background.length)-1];
*/

		for(i=0; i<=9; i++) {
			var elem = '#banner-' + i + ' img';
			str = $(elem).attr('data-image');
			var image = str.split('/');
			tempSettings['promo-tools']['banners'][i]['banner'] = image[(image.length)-1];
		}

		saveButtonToggle();
	});		

</script>												